#DEFINE CR CHR(13)

PROCEDURE CreateAccount()

	LOCAL lcConnect, lnHandle, lcSQL
	lcConnect = "FILEDSN=MTSSamples;UID=sa;PWD="
	lnHandle = SQLSTRINGCONNECT(lcConnect)

	*-- Add Account Table
	lcSQL = "If not exists (Select name from sysobjects where name = 'Account')" + CR + ;
		"BEGIN" + CR + ;
		"CREATE TABLE dbo.Account (" + CR + ;
			"AccountNo int NOT NULL ," + CR + ;
			"Balance int NULL ," + CR + ;
			"CONSTRAINT PK___1__10 PRIMARY KEY  CLUSTERED" + CR + ;
			"(" + CR + ;
				"AccountNo" + CR + ;
			")" + CR + ;
		")" + CR + ;
		"INSERT INTO Account VALUES (1,1000)" + CR + ;
		"INSERT INTO Account VALUES (2,1000)" + CR + ;
		"END" + CR

	lnReturn = SQLEXEC(lnHandle, lcSQL)
	SQLDISCONNECT(lnHandle)
	RETURN lnReturn
ENDPROC
    

PROCEDURE CreateReceipt()
	LOCAL lcConnect, lnHandle, lcSQL
	lcConnect = "FILEDSN=MTSSamples;UID=sa;PWD="
	lnHandle = SQLSTRINGCONNECT(lcConnect)

	*-- Add ReceiptNo Table
	lcSQL = "If not exists (Select name from sysobjects where name = 'Receipt')" + CR + ;
		"BEGIN" + CR + ;
		"CREATE TABLE Receipt (NextReceipt int)" + CR + ;
		"INSERT INTO Receipt VALUES (1000)" + CR + ;
		"END" + CR

	lnReturn = SQLEXEC(lnHandle, lcSQL)
	SQLDISCONNECT(lnHandle)
	RETURN lnReturn
ENDPROC
