#INCLUDE outlook.h

oOutLookObject = CreateObject("Outlook.Application")
olNameSpace = oOutlookObject.GetNameSpace("MAPI")
oContacts = olNameSpace.GetDefaultFolder(olFolderContacts).Items

*/ Open the customer table

Use customer

Scan
   */ First, see if the contact exists
   oContactItem = oContacts.Find("[CustomerId]='"+cust_id+"'")
   If IsNull(oContactItem)
      */ The contact did not exist, so we will create a new contact object   
      oContactItem = oOutLookObject.CreateItem(olContactItem)
   Endif
   */ Now, data in VFP will update the existing contact object, or populate the properties
   */ for the first time of a new contact object   
   With oContactItem
     .CustomerID = cust_id 
     .FirstName = Substr(contact,1,At(" ",contact))
     .LastName  = Substr(contact,At(" ",contact)+1)
     .JobTitle      = title
     .CompanyName   = Company
     .BusinessAddressStreet    = address
     .BusinessAddressCity      = City
     .BusinessAddressState     = region
     .BusinessAddressPostalCode = postalcode
     .BusinessAddressCountry    = country
     .BusinessTelephoneNumber   = Phone
     .BusinessFaxNumber         = fax
     .Email1Address             = email
     .User1 = maxordamt
     .Save
   EndWith
EndScan
